Subject: Looks like a problem with udev scripts provided with alsa-utils

From: Dave Witbrodt <[email-masked]>
Date: Tue, 02 Aug 2011 19:33:04 -0400

Package: alsa-utils
Version: 1.0.24.2-1
Followup-For: Bug #635622

I am also seeing these messages at boot time:

  udevd[299]: failed to execute '/usr/sbin/alsactl' '/usr/sbin/alsactl
  restore 1': No such file or directory
  udevd[300]: failed to execute '/usr/sbin/alsactl' '/usr/sbin/alsactl
  restore 2': No such file or directory
  udevd[302]: failed to execute '/usr/sbin/alsactl' '/usr/sbin/alsactl
  restore 0': No such file or directory

I tried looking around at the udev-related scripts packaged with
'alsa-utils'; I found that they essentially do some environment setup and
then run '/etc/init.d/alsa-utils', so I thought there may be some
problem with that file failing.  That was before work this morning, and
I didn't have much time, so the only thing I found so far that looks
like a possible culprit is line 62:

	if MSG="$(alsactl restore $CARD 2>&1 >/dev/null)" && [ ! "$MSG" ] ; then

In this instance the "2>&1" redirection is not at the end of the
command, but in all other instances it is.  Was this intended, or is it
a mistake?

I have some higher priorities to attend to first -- sound is not broken
on my system, so the errors are merely disconcerting -- so I will try to
take a closer look at this by the weekend if the bug has not been
squashed before then.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1dwlocal (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages alsa-utils depends on:
ii  dialog                    1.1-20110707-1 Displays user-friendly dialog boxe
ii  libasound2                1.0.24.1-2     shared library for ALSA applicatio
ii  libc6                     2.13-13        Embedded GNU C Library: Shared lib
ii  libncursesw5              5.9-1          shared libraries for terminal hand
ii  linux-sound-base          1.0.23+dfsg-4  base package for ALSA and OSS soun
ii  lsb-base                  3.2-27         Linux Standard Base 3.2 init scrip
ii  module-init-tools         3.16-1         tools for managing Linux kernel mo
ii  udev                      172-1          /dev/ and hotplug management daemo
ii  whiptail                  0.52.11-2.1    Displays user-friendly dialog boxe

Versions of packages alsa-utils recommends:
ii  alsa-base                  1.0.23+dfsg-4 ALSA driver configuration files
ii  pciutils                   1:3.1.7-12    Linux PCI Utilities

alsa-utils suggests no packages.

-- no debconf information

---

From: Paul Menzel <[email-masked]>
Date: Wed, 24 Aug 2011 14:06:39 +0200

Dear Dave,

> Followup-For: Bug #635622

You can also use `bts show --mbox 635622`, where `bts` is in the
`devscripts` package, to get the mbox file with all messages related to
that report and reply to it to keep the threading.

>   restore 0': No such file or directory

I am seeing this too. Does anyone of you remember what (version) change
caused this? I do not see anything related in the changelog entry of
1.0.24.

> take a closer look at this by the weekend if the bug has not been

I tried looking at the Subversion repository for possible changes [1],
but I could not even find a link to display the commit log/history in
ViewVC.

Thanks,

Paul

[1] http://anonscm.debian.org/viewvc/pkg-alsa/trunk/alsa-utils/